package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.procure;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
public class BpmOAProcurePageReqVO extends PageParam {

    @Schema(description = "申请人的用户编号", example = "26976")
    private Long userId;

    @Schema(description = "申请事由", example = "不喜欢")
    private String reason;

    @Schema(description = "采购类型 （根据字典的来）", example = "2")
    private Integer procureType;

    @Schema(description = "期望交付日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] expectedDeliveryDate;

    @Schema(description = "采购明细数据JSON")
    private List<ProcureDetail> procureDetailJson;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "采购总金额")
    private String totalMoney;

    @Schema(description = "采购总金额大写")
    private String totalMoneyChinese;

    @Schema(description = "是否已支付 0否 1是 2进行中")
    private Integer payFlag;

    @Schema(description = "附件信息")
    private String fileItems;

    @Schema(description = "报销结果")
    private Integer result;

    @Schema(description = "流程实例的编号", example = "15852")
    private String processInstanceId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
