package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.procurepay;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 采购收款明细分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOAProcurePayItemPageReqVO extends PageParam {

    @Schema(description = "申请人的用户编号", example = "6961")
    private Long userId;

    @Schema(description = "采购支付id", example = "29610")
    private Long bpmOaProcurePayId;

    @Schema(description = "采购计划id", example = "14925")
    private Long bpmOaProcureId;

    @Schema(description = "收款人")
    private String payee;

    @Schema(description = "收款账号")
    private String payeeNumber;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}