package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.procurepay;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 采购收款明细 Response VO")
@Data
public class BpmOAProcurePayItemRespVO {

    @Schema(description = "采购表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "24125")
    private Long id;

    @Schema(description = "申请人的用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "6961")
    private Long userId;

    @Schema(description = "采购支付id", example = "29610")
    private Long bpmOaProcurePayId;

    @Schema(description = "采购计划id", example = "14925")
    private Long bpmOaProcureId;

    @Schema(description = "收款人")
    private String payee;

    @Schema(description = "收款账号")
    private String payeeNumber;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;



    // ---

    @Schema(description = "申请事由", example = "不喜欢")
    private String reason;

    @Schema(description = "采购类型 （根据字典的来）", example = "2")
    private Integer procureType;

    @Schema(description = "期望交付日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime expectedDeliveryDate;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "采购总金额")
    private String totalMoney;

    @Schema(description = "采购总金额大写")
    private String totalMoneyChinese;

}