package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.procurepay;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 采购支付分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOAProcurePayPageReqVO extends PageParam {

    @Schema(description = "申请人的用户编号")
    private Long userId;

    @Schema(description = "申请事由")
    private String reason;

    @Schema(description = "支付日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] payTime;

    @Schema(description = "采购付款总金额")
    private BigDecimal totalMoney;

    @Schema(description = "采购付款大写")
    private String totalMoneyChinese;

    @Schema(description = "附件信息")
    private String fileItems;

    @Schema(description = "报销结果")
    private Integer result;

    @Schema(description = "流程实例的编号", example = "175")
    private String processInstanceId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}