package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.procurepay;

import cn.iocoder.yudao.module.bpm.controller.admin.upload.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 采购支付 Response VO")
@Data
public class BpmOAProcurePayRespVO {

    @Schema(description = "采购表单主键", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long id;

    @Schema(description = "申请人的用户编号", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long userId;

    @Schema(description = "申请事由")
    private String reason;

    @Schema(description = "支付日期")
    private LocalDateTime payTime;

    @Schema(description = "采购付款总金额", requiredMode = Schema.RequiredMode.REQUIRED)
    private BigDecimal totalMoney;

    @Schema(description = "采购付款大写", requiredMode = Schema.RequiredMode.REQUIRED)
    private String totalMoneyChinese;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;

    @Schema(description = "报销结果")
    private Integer result;

    @Schema(description = "流程实例的编号", example = "175")
    private String processInstanceId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

    @Schema(description = "子列表", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<BpmOAProcurePayItemRespVO> items;


}