package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.procurepay;

import cn.iocoder.yudao.module.bpm.controller.admin.upload.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 采购支付新增/修改 Request VO")
@Data
public class BpmOAProcurePaySaveReqVO {

    @Schema(description = "采购表单主键", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long id;

    @Schema(description = "申请人的用户编号", requiredMode = Schema.RequiredMode.REQUIRED)
//    @NotNull(message = "申请人的用户编号不能为空")
    private Long userId;

    @Schema(description = "申请事由")
    private String reason;

    @Schema(description = "支付日期")
    private LocalDateTime payTime;

    @Schema(description = "采购付款总金额", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "采购付款总金额不能为空")
    private BigDecimal totalMoney;

    @Schema(description = "采购付款大写", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "采购付款大写不能为空")
    private String totalMoneyChinese;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;

    @Schema(description = "报销结果")
    private Integer result;

    @Schema(description = "流程实例的编号", example = "175")
    private String processInstanceId;

    @Schema(description = "采购支付子列表")
    List<BpmOAProcurePayItemSaveReqVO> items;
}