package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.reimbursement;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 功能描述 报销项目明细
 *
 * @author: yj
 * @date: 2024年02月09日 15:03
 */
@Data
public class Reimbursement {

    @Schema(description = "报销金额", requiredMode = Schema.RequiredMode.REQUIRED, example = "23.45")
    private BigDecimal money;

    @Schema(description = "报销类别", requiredMode = Schema.RequiredMode.REQUIRED, example = "如：住宿、火车票、宴请等")
    private String  type;

    @Schema(description = "发生时间", requiredMode = Schema.RequiredMode.REQUIRED, example = "2024-02-09 12:31:12")
    private Date happenTime;

    @Schema(description = "发票张数", requiredMode = Schema.RequiredMode.REQUIRED, example = "3")
    private Integer quantity ;

    @Schema(description = "费用明细", requiredMode = Schema.RequiredMode.REQUIRED, example = "请吃饭")
    private String detail ;
}
