package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.second;

import cn.iocoder.yudao.module.bpm.controller.admin.upload.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 借调申请 创建 Request VO
 *
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 借调申请创建 Request VO")
@Data
@EqualsAndHashCode()
@ToString(callSuper = true)
public class BpmOASecondCreateReqVO {

    @Schema(description = "借调类型", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "借调类型不能为空")
    private String type;

    @Schema(description = "借调说明", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private String reason;

    @Schema(description = "借调明细", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "借调项目不能为空")
    private List<Second> seconds;

    @Schema(description = "押金", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private Long deposit;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems ;
}
