package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.shiftjobs;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.BpmOABaseRespVO;
import cn.iocoder.yudao.module.bpm.controller.admin.upload.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 调岗申请  请求Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOAShiftjobsRespVO extends BpmOABaseRespVO {

    @Schema(description = "调岗类型-参见 bpm_oa_shiftjobs_type 枚举", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "调岗类型不能为空")
    private Integer type;

    @Schema(description = "原部门编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "原部门不能为空")
    private Long oldDeptId;

    @Schema(description = "原上级领导编号", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private Long oldParentId;

    @Schema(description = "原岗位编号", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private Long oldPostId;

    @Schema(description = "新部门编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "新部门不能为空")
    private Long newDeptId;

    @Schema(description = "新上级领导编号", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private Long newParentId;

    @Schema(description = "新岗位编号", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private Long newPostId;

    @Schema(description = "原部门名称", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "原部门不能为空")
    private String oldDeptName;

    @Schema(description = "原上级领导昵称", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private String oldParentName;

    @Schema(description = "原岗位名称", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private String oldPostName;

    @Schema(description = "新部门名臣", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "新部门不能为空")
    private String newDeptName;

    @Schema(description = "新上级领导昵称", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private String newParentName;

    @Schema(description = "新岗位名称", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private String newPostName;

    @Schema(description = "备注", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private String notes;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;
}
