package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.procurepay.BpmOAProcurePayItemRespVO;
import cn.iocoder.yudao.module.bpm.controller.admin.upload.UploadUserFile;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 采购支付 DO
 *
 * @author 艾楷
 */
@TableName(value = "bpm_oa_procure_pay", autoResultMap = true)
@KeySequence("bpm_oa_procure_pay_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOAProcurePayDO extends BaseDO {

    /**
     * 采购表单主键
     */
    @TableId
    private Long id;
    /**
     * 申请人的用户编号
     */
    private Long userId;
    /**
     * 申请事由
     */
    private String reason;
    /**
     * 支付日期
     */
    private LocalDateTime payTime;
    /**
     * 采购付款总金额
     */
    private BigDecimal totalMoney;
    /**
     * 采购付款大写
     */
    private String totalMoneyChinese;
    /**
     * 附件信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> fileItems;
    /**
     * 报销结果
     */
    private Integer result;
    /**
     * 流程实例的编号
     */
    private String processInstanceId;

    @TableField(exist = false)
    @Schema(description = "子列表", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<BpmOAProcurePayItemRespVO> items;

}