package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 采购收款明细 DO
 *
 * @author 艾楷
 */
@TableName(value = "bpm_oa_procure_pay_item", autoResultMap = true)
@KeySequence("bpm_oa_procure_pay_item_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOAProcurePayItemDO extends BaseDO {

    /**
     * 采购表单主键
     */
    @TableId
    private Long id;
    /**
     * 申请人的用户编号
     */
    private Long userId;
    /**
     * 采购支付id
     */
    private Long bpmOaProcurePayId;
    /**
     * 采购计划id
     */
    private Long bpmOaProcureId;
    /**
     * 收款人
     */
    private String payee;
    /**
     * 收款账号
     */
    private String payeeNumber;

}