package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.second.Second;
import cn.iocoder.yudao.module.bpm.controller.admin.upload.UploadUserFile;
import cn.iocoder.yudao.module.bpm.enums.task.BpmProcessInstanceResultEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.*;

import java.util.List;

/**
 * OA 借调申请 DO
 *
 *
 * @author 符溶馨

 */
@TableName(value ="bpm_oa_second", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOASecondDO extends BaseDO {

    /**
     * 请假表单主键
     */
    @TableId
    private Long id;

    /**
     * 申请人的用户编号
     * 关联 AdminUserDO 的 id 属性
     */
    private Long userId;

    /**
     * 借调类型
     */
    private String type;

    /**
     * 借调说明
     */
    private String reason;

    /**
     * 借调明细数据JSON
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<Second> seconds;

    /**
     * 押金
     */
    private Long deposit;

    /**
     * 结果
     *
     * 枚举 {@link BpmProcessInstanceResultEnum}
     * 考虑到简单，所以直接复用了 BpmProcessInstanceResultEnum 枚举，也可以自己定义一个枚举哈
     */
    private Integer result;

    /**
     * 对应的流程编号
     *
     * 关联 ProcessInstance 的 id 属性
     */
    private String processInstanceId;

    /**
     * 附件基本信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> fileItems;
}
