package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.bpm.controller.admin.upload.UploadUserFile;
import cn.iocoder.yudao.module.bpm.enums.task.BpmProcessInstanceResultEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.*;

import java.util.List;

/**
 * OA 调岗申请 DO
 *
 *
 * @author 符溶馨

 */
@TableName(value ="bpm_oa_shiftjobs", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOAShiftjobsDO extends BaseDO {

    /**
     * 调岗表单主键
     */
    @TableId
    private Long id;

    /**
     * 申请人的用户编号
     *
     * 关联 AdminUserDO 的 id 属性
     */
    private Long userId;

    /**
     * 调岗类型
     */
    private String type;

    /**
     * 原部门编号
     */
    private Long oldDeptId;

    /**
     * 原上级领导编号
     */
    private Long oldParentId;

    /**
     * 原岗位编号
     */
    private Long oldPostId;

    /**
     * 新部门编号
     */
    private Long newDeptId;

    /**
     * 新上级领导编号
     */
    private Long newParentId;

    /**
     * 新岗位编号
     */
    private Long newPostId;

    /**
     * 备注
     */
    private String notes;

    /**
     * 用章的结果
     *
     * 枚举 {@link BpmProcessInstanceResultEnum}
     * 考虑到简单，所以直接复用了 BpmProcessInstanceResultEnum 枚举，也可以自己定义一个枚举哈
     */
    private Integer result;

    /**
     * 对应的流程编号
     *
     * 关联 ProcessInstance 的 id 属性
     */
    private String processInstanceId;

    /**
     * 附件基本信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> fileItems ;
}
