package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.cash.BpmOACashCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOACashDO;

import javax.validation.Valid;

public interface BpmOACashService {

    /**
     * 创建现金支出申请
     *
     * @param userId 用户编号
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCash(Long userId, @Valid BpmOACashCreateReqVO createReqVO);

    /**
     * 更新现金支出申请的状态
     *
     * @param id 编号
     * @param result 结果
     */
    void updateCashResult(Long id, Integer result);

    /**
     * 获得现金支出申请
     *
     * @param id 编号
     * @return 现金支出申请
     */
    BpmOACashDO getCash(Long id);
}
