package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.evection.BpmOAEvectionCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAEvectionDO;

import javax.validation.Valid;

public interface BpmOAEvectionService {

    /**
     * 创建出差申请
     *
     * @param userId 用户编号
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createEvection(Long userId, @Valid BpmOAEvectionCreateReqVO createReqVO);

    /**
     * 更新出差申请的状态
     *
     * @param id 编号
     * @param result 结果
     */
    void updateEvectionResult(Long id, Integer result);

    /**
     * 获得出差申请
     *
     * @param id 编号
     * @return 出差申请
     */
    BpmOAEvectionDO getEvection(Long id);
}
