package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.overtime.BpmOAOvertimeCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAOvertimeDO;

import javax.validation.Valid;

/**
 * 加班申请 Service 接口
 *
 * @author 符溶馨

 */
public interface BpmOAOvertimeService {

    /**
     * 创建加班申请
     *
     * @param userId 用户编号
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOvertime(Long userId, @Valid BpmOAOvertimeCreateReqVO createReqVO);

    /**
     * 更新加班申请的状态
     *
     * @param id 编号
     * @param result 结果
     */
    void updateOvertimeResult(Long id, Integer result);

    /**
     * 获得加班申请
     *
     * @param id 编号
     * @return 加班申请
     */
    BpmOAOvertimeDO getOvertime(Long id);
}
