package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.procurepay.BpmOAProcurePayItemPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.procurepay.BpmOAProcurePayItemSaveReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAProcurePayItemDO;

import javax.validation.Valid;

/**
 * 采购收款明细 Service 接口
 *
 * @author 艾楷
 */
public interface BpmOAProcurePayItemService {

    /**
     * 创建采购收款明细
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOAProcurePayItem(@Valid BpmOAProcurePayItemSaveReqVO createReqVO);

    /**
     * 更新采购收款明细
     *
     * @param updateReqVO 更新信息
     */
    void updateOAProcurePayItem(@Valid BpmOAProcurePayItemSaveReqVO updateReqVO);

    /**
     * 删除采购收款明细
     *
     * @param id 编号
     */
    void deleteOAProcurePayItem(Long id);

    /**
     * 获得采购收款明细
     *
     * @param id 编号
     * @return 采购收款明细
     */
    BpmOAProcurePayItemDO getOAProcurePayItem(Long id);

    /**
     * 获得采购收款明细分页
     *
     * @param pageReqVO 分页查询
     * @return 采购收款明细分页
     */
    PageResult<BpmOAProcurePayItemDO> getOAProcurePayItemPage(BpmOAProcurePayItemPageReqVO pageReqVO);

}