package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.procurepay.BpmOAProcurePayPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.procurepay.BpmOAProcurePaySaveReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAProcureDO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAProcurePayDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 采购支付 Service 接口
 *
 * @author 艾楷
 */
public interface BpmOAProcurePayService {

    /**
     * 创建采购支付
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOAProcurePay(@Valid BpmOAProcurePaySaveReqVO createReqVO);

    /**
     * 更新采购支付
     *
     * @param updateReqVO 更新信息
     */
    void updateOAProcurePay(@Valid BpmOAProcurePaySaveReqVO updateReqVO);

    /**
     * 删除采购支付
     *
     * @param id 编号
     */
    void deleteOAProcurePay(Long id);

    /**
     * 获得采购支付
     *
     * @param id 编号
     * @return 采购支付
     */
    BpmOAProcurePayDO getOAProcurePay(Long id);

    /**
     * 获得采购支付分页
     *
     * @param pageReqVO 分页查询
     * @return 采购支付分页
     */
    PageResult<BpmOAProcurePayDO> getOAProcurePayPage(BpmOAProcurePayPageReqVO pageReqVO);

    /**
     * 获取可用采购单列表
     *
     * @return
     */
    List<BpmOAProcureDO> getAvailablePurchaseOrders();

    void updateEvectionResult(String processInstanceExtId, Long id, Integer result);
}