package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.procure.BpmOAProcureListEditReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.procure.BpmOAProcurePageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.procure.BpmOAProcureSaveReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAProcureDO;

import javax.validation.Valid;

/**
 * OA 采购申请 Service 接口
 *
 * @author 姚君
 */
public interface BpmOAProcureService {

    /**
     * 创建OA 采购申请
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOaProcure(@Valid BpmOAProcureSaveReqVO createReqVO);

    /**
     * 更新OA 采购申请
     *
     * @param updateReqVO 更新信息
     */
    void updateOaProcure(@Valid BpmOAProcureSaveReqVO updateReqVO);

    /**
     * 删除OA 采购申请
     *
     * @param id 编号
     */
    void deleteOaProcure(Long id);

    /**
     * 获得OA 采购申请
     *
     * @param id 编号
     * @return OA 采购申请
     */
    BpmOAProcureDO getOaProcure(Long id);

    /**
     * 获得OA 采购申请分页
     *
     * @param pageReqVO 分页查询
     * @return OA 采购申请分页
     */
    PageResult<BpmOAProcureDO> getOaProcurePage(BpmOAProcurePageReqVO pageReqVO);

    /**
     * 根据ids修改状态
     *
     * @param vo
     */
    void updatePayFlagByIds(BpmOAProcureListEditReqVO vo);

    /**
     *
     * @param id
     * @param result
     */
    void updateEvectionResult(Long id, Integer result);
}
