package cn.iocoder.yudao.module.bpm.service.oa;


import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.reimbursement.BpmOAReimbursementCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAReimbursementDO;

import javax.validation.Valid;

/**
 * 报销申请 Service 接口
 *
 * @author jason

 */
public interface BpmOAReimbursementService {

    /**
     * 创建报销申请
     *
     * @param userId 用户编号
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createReimbursement(Long userId, @Valid BpmOAReimbursementCreateReqVO createReqVO);

    /**
     * 更新报销申请的状态
     *
     * @param processInstanceId
     * @param id      编号
     * @param result  结果
     */
    void updateReimbursementResult(String processInstanceId, Long id, Integer result);

    /**
     * 获得报销申请
     *
     * @param id 编号
     * @return 报销申请
     */
    BpmOAReimbursementDO getReimbursement(Long id);

    /**
     * 获得请假申请分页
     *
     * @param userId 用户编号
     * @param pageReqVO 分页查询
     * @return 请假申请分页
     */
//    PageResult<BpmOAReimbursementDO> getLeavePage(Long userId, BpmOALeavePageReqVO pageReqVO);

}
