package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.seal.BpmOASealCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOASealDO;

import javax.validation.Valid;

/**
 * 用章申请 Service 接口
 *
 * @author 符溶馨

 */
public interface BpmOASealService {

    /**
     * 创建用章申请
     *
     * @param userId 用户编号
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSeal(Long userId, @Valid BpmOASealCreateReqVO createReqVO);

    /**
     * 更新用章申请的状态
     *
     * @param id 编号
     * @param result 结果
     */
    void updateSealResult(Long id, Integer result);

    /**
     * 获得用章申请
     *
     * @param id 编号
     * @return 用章申请
     */
    BpmOASealDO getSeal(Long id);
}
