package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.second.BpmOASecondCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOASecondDO;

import javax.validation.Valid;

/**
 * 借调申请 Service 接口
 *
 * @author 符溶馨

 */
public interface BpmOASecondService {

    /**
     * 创建借调申请
     *
     * @param userId 用户编号
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSecond(Long userId, @Valid BpmOASecondCreateReqVO createReqVO);

    /**
     * 更新借调申请的状态
     *
     * @param id 编号
     * @param result 结果
     */
    void updateSecondResult(Long id, Integer result);

    /**
     * 获得借调申请
     *
     * @param id 编号
     * @return 借调申请
     */
    BpmOASecondDO getSecond(Long id);
}
