package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.shiftjobs.BpmOAShiftjobsCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAShiftjobsDO;

import javax.validation.Valid;

/**
 * 调岗申请 Service 接口
 *
 * @author 符溶馨

 */
public interface BpmOAShiftjobsService {

    /**
     * 创建调岗申请
     *
     * @param userId 用户编号
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createShiftjobs(Long userId, @Valid BpmOAShiftjobsCreateReqVO createReqVO);

    /**
     * 更新调岗申请的状态
     *
     * @param id 编号
     * @param result 结果
     */
    void updateShiftjobsResult(Long id, Integer result);

    /**
     * 获得调岗申请
     *
     * @param id 编号
     * @return 调岗申请
     */
    BpmOAShiftjobsDO getShiftjobs(Long id);
}
