package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAContractService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAContractServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 合同审批单的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOAContractResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOAContractService contractService;

    @Override
    protected String getProcessDefinitionKey() {

        return BpmOAContractServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {

        contractService.updateContractResult(Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
