package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAOvertimeService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAOvertimeServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 加班单的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOAOvertimeResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOAOvertimeService overtimeService;

    @Override
    protected String getProcessDefinitionKey() {
        return BpmOAOvertimeServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        overtimeService.updateOvertimeResult(Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
