package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAProcurePayService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAProcurePayServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 出差单的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOAProcurePayResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOAProcurePayService evectionService;

    @Override
    protected String getProcessDefinitionKey() {
        return BpmOAProcurePayServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {

        evectionService.updateEvectionResult(event.getId(), Long.parseLong(event.getBusinessKey()),
                event.getResult());
    }
}
