package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOASealService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOASealServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 用章单的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOASealResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOASealService sealService;

    @Override
    protected String getProcessDefinitionKey() {

        return BpmOASealServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        sealService.updateSealResult(Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
