package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAShiftjobsService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAShiftjobsServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 调岗单的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOAShiftjobsResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOAShiftjobsService shiftjobsService;

    @Override
    protected String getProcessDefinitionKey() {

        return BpmOAShiftjobsServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        shiftjobsService.updateShiftjobsResult(Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
