package cn.iocoder.yudao.module.infra.api.file.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Schema(description = "RPC 服务 - 文件创建 Request DTO")
@Data
public class FileCreateReqDTO {

    @Schema(description = "原文件名称", example = "xxx.png")
    private String name;

    @Schema(description = "文件路径", example = "xxx.png")
    private String path;

    @Schema(description = "文件内容", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "文件内容不能为空")
    private byte[] content;

    @Schema(description = "附件地址", requiredMode = Schema.RequiredMode.REQUIRED)
//    @NotNull(message = "附件地址不能为空")
    private List<String> urls;

    @Schema(description = "流程实例编号", example = "7c45f44f-b775-11ee-aba7-5ea7f9635f60")
//    @NotNull(message = "流程实例编号不能为空")
    private String processInstanceId;

}
