package cn.iocoder.yudao.module.infra.api.file;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.infra.api.file.dto.FileCreateReqDTO;
import cn.iocoder.yudao.module.infra.controller.admin.file.vo.file.BpmFileUploadReqVO;
import cn.iocoder.yudao.module.infra.service.file.FileService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@Validated
public class FileApiImpl implements FileApi {

    @Resource
    private FileService fileService;

    @Override
    public CommonResult<String> uploadBpmFileProcessInstanceId(FileCreateReqDTO createReqDTO) {
        BpmFileUploadReqVO reqVO = new BpmFileUploadReqVO() ;
        reqVO.setProcessInstanceId(createReqDTO.getProcessInstanceId()) ;
        reqVO.setUrls(createReqDTO.getUrls()) ;
        try {
            fileService.uploadBpmFileProcessInstanceId(reqVO);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        return success("suceess") ;
    }

    @Override
    public CommonResult<String> createFile(FileCreateReqDTO createReqDTO) {
        return success(fileService.createFile(createReqDTO.getName(), createReqDTO.getPath(),
                createReqDTO.getContent()));
    }

}
