package cn.iocoder.yudao.module.system.api.subscribe;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.api.subscribe.dto.SubscribeMessageReqDTO;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 微信小程序订阅消息发送")
public interface SubscribeMessageSendApi {

    String PREFIX = ApiConstants.PREFIX + "/subscribe/send";

    @PostMapping(PREFIX + "/send-approval-result-notification")
    @Operation(summary = "发送审批结果通知")
    CommonResult<Long> sendApprovalResultNotification(@RequestBody SubscribeMessageReqDTO reqDTO);

    @PostMapping(PREFIX + "/send-process-todo-reminder")
    @Operation(summary = "发送OA流程待办提醒")
    CommonResult<Long> sendProcessToDoReminder(@RequestBody SubscribeMessageReqDTO reqDTO);

    @PostMapping(PREFIX + "/send-company-notice")
    @Operation(summary = "发送公司公告通知")
    CommonResult<Long> sendCompanyNotice(@RequestBody SubscribeMessageReqDTO reqDTO);
}
