package cn.iocoder.yudao.module.system.controller.admin.group.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 考勤组分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AttendanceGroupPageReqVO extends PageParam {

    @Schema(description = "考勤组管理员id", example = "15633")
    private Long userId;

    @Schema(description = "群组名称", example = "李四")
    private String groupName;

    @Schema(description = "考勤类型 1固定班制 2排班制", example = "1")
    private Integer type;

    @Schema(description = "打卡类型 1考勤机 2小程序范围打卡", example = "2")
    private Integer punchType;

    @Schema(description = "经度")
    private String longitude;

    @Schema(description = "纬度")
    private String latitude;

    @Schema(description = "范围（米）")
    private Integer scope;

    @Schema(description = "是否允许外勤打卡 0否 1是")
    private Integer fieldworkFlag;

    @Schema(description = "节假日自动排休 0否 1是")
    private Integer autoHolidaysFlag;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}