package cn.iocoder.yudao.module.system.controller.admin.group.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 考勤组 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AttendanceGroupRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "22881")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "考勤组管理员id", example = "15633")
    @ExcelProperty("考勤组管理员id")
    private Long userId;

    @Schema(description = "群组名称", example = "李四")
    @ExcelProperty("群组名称")
    private String groupName;

    @Schema(description = "考勤类型 1固定班制 2排班制", example = "1")
    @ExcelProperty("考勤类型 1固定班制 2排班制")
    private Integer type;

    @Schema(description = "打卡类型 1考勤机 2小程序范围打卡", example = "2")
    @ExcelProperty("打卡类型 1考勤机 2小程序范围打卡")
    private Integer punchType;

    @Schema(description = "经度")
    @ExcelProperty("经度")
    private String longitude;

    @Schema(description = "纬度")
    @ExcelProperty("纬度")
    private String latitude;

    @Schema(description = "范围（米）")
    @ExcelProperty("范围（米）")
    private Integer scope;

    @Schema(description = "是否允许外勤打卡 0否 1是")
    @ExcelProperty("是否允许外勤打卡 0否 1是")
    private Integer fieldworkFlag;

    @Schema(description = "节假日自动排休 0否 1是")
    @ExcelProperty("节假日自动排休 0否 1是")
    private Integer autoHolidaysFlag;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}