package cn.iocoder.yudao.module.system.controller.admin.groupshift.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 考勤组班次 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AttendanceGroupShiftRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "5305")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "考勤组id", example = "24585")
    @ExcelProperty("考勤组id")
    private Long attendanceGroupId;

    @Schema(description = "班次名称", example = "张三")
    @ExcelProperty("班次名称")
    private String name;

    @Schema(description = "班次考勤时间json[{start_tiem:HH:mm,start_check_flag:true,end_time:HH:mm,end_check_flah: true}]")
    @ExcelProperty("班次考勤时间json[{start_tiem:HH:mm,start_check_flag:true,end_time:HH:mm,end_check_flah: true}]")
    private String attendanceTimeJson;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}