package cn.iocoder.yudao.module.system.controller.admin.scheduling.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 排班制考勤设置分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AttendanceSchedulingPageReqVO extends PageParam {

    @Schema(description = "第几天")
    private Integer indexDay;

    @Schema(description = "考勤组id", example = "5025")
    private Long attendanceGroupId;

    @Schema(description = "班次id", example = "9583")
    private Long attendanceGroupShiftId;

    @Schema(description = "是否休息 0否 1是")
    private Integer restFlag;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}