package cn.iocoder.yudao.module.system.controller.admin.user.vo.user;

import cn.iocoder.yudao.framework.common.validation.IdCard;
import cn.iocoder.yudao.framework.common.validation.Mobile;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 用户 Excel 导入 VO
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = false) // 设置 chain = false，避免用户导入有问题
public class UserImportExcelVO {

//    @ExcelProperty("登录名称")
//    private String username;

    @ExcelProperty("用户名称")
    private String nickname;

    @ExcelProperty("部门名称")
    private String deptName;

    @ExcelProperty("岗位名称")
    private String postName;

    @ExcelProperty("手机号码")
    @Mobile
    private String mobile;

    @ExcelProperty("身份证号码")
    @IdCard
    private String idcard;

    @ExcelProperty("用户邮箱")
    private String email;

//    @ExcelProperty(value = "账号状态", converter = DictConvert.class)
//    @DictFormat(DictTypeConstants.COMMON_STATUS)
//    private Integer status;

}
