package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.rule;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 日志规则分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LogRulePageReqVO extends PageParam {

    @Schema(description = "模板使用部门组")
    private String deptIds;

    @Schema(description = "日志类型 字典值 详情参考work_log_type", example = "2")
    private Integer type;

    @Schema(description = "日报情况，需提交的日期")
    private String weekDays;

    @Schema(description = "提交开始时间段")
    private String startTime;

    @Schema(description = "提交结束时间段")
    private String endTime;

    @Schema(description = "提醒时间(小时)")
    private Integer remindTime;

    @Schema(description = "统计时间")
    private String statisticalTime;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}