package cn.iocoder.yudao.module.system.controller.admin.worklog.vo.rule;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 日志规则新增/修改 Request VO")
@Data
public class LogRuleSaveReqVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "21181")
    private Long id;

    @Schema(description = "模板使用部门组", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "模板使用部门组不能为空")
    private String deptIds;

    @Schema(description = "日志类型", example = "2")
    private Integer type;

    @Schema(description = "日报情况，需提交的日期")
    private String weekDays;

    @Schema(description = "提交开始时间段")
    private String startTime;

    @Schema(description = "提交结束时间段")
    private String endTime;

    @Schema(description = "提醒时间(小时)")
    private Integer remindTime;

    @Schema(description = "统计时间段")
    private String statisticalTime;

}