package cn.iocoder.yudao.module.system.controller.app.comment.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@Data
public class CommentPageListVO {
    @JsonSerialize(using = ToStringSerializer.class)
    @Schema(description = "id")
    private Long id;
    @Schema(description = "工作日志ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long workLogId;
    @Schema(description = "评论用户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;
    @Schema(description = "评论用户头像")
    private String avatar;
    @Schema(description = "评论用户名称")
    private String userName;

    @Schema(description = "被评论用户ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long commentUserId;
    @Schema(description = "被评论用户头像")
    private String commentAvatar;
    @Schema(description = "被评论用户名称")
    private String commentUserName;

    @Schema(description = "评论内容")
    private String comment;
    @Schema(description = "评论类型（0|评论；1|回评）")
    private Integer type;

    @Schema(description = "被回评内容")
    private String replyComment;

    @Schema(description = "工作日志内容(部分)")
    private String workLogContent;
    @Schema(description = "工作日志名称")
    private String workLogName;
    @Schema(description = "工作日志模版id")
    private Long workFormId;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建日期")
    private String createTime;
}
