package cn.iocoder.yudao.module.system.controller.app.comment.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 工作日志评论分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WorkLogCommentPageReqVO extends PageParam {

    @Schema(description = "动态ID", example = "26393")
    private Long workLogId;

    @Schema(description = "评论ID（回复评论的ID）", example = "25541")
    private Long commentId;

    @Schema(description = "评论用户ID", example = "17082")
    private Long userId;

    @Schema(description = "被评论用户ID", example = "22388")
    private Long commentUserId;

    @Schema(description = "评论内容")
    private String comment;

    @Schema(description = "评论类型（0|评论；1|回评）", example = "1")
    private Boolean type;

    @Schema(description = "楼栋标识")
    private String buildingCode;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}