package cn.iocoder.yudao.module.system.controller.app.comment.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 工作日志评论 Response VO")
@Data
@ExcelIgnoreUnannotated
public class WorkLogCommentRespVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "21304")
    @ExcelProperty("id")
    private Long id;

    @Schema(description = "动态ID", example = "26393")
    @ExcelProperty("动态ID")
    private Long workLogId;

    @Schema(description = "评论ID（回复评论的ID）", example = "25541")
    @ExcelProperty("评论ID（回复评论的ID）")
    private Long commentId;

    @Schema(description = "评论用户ID", example = "17082")
    @ExcelProperty("评论用户ID")
    private Long userId;

    @Schema(description = "被评论用户ID", example = "22388")
    @ExcelProperty("被评论用户ID")
    private Long commentUserId;

    @Schema(description = "评论内容")
    @ExcelProperty("评论内容")
    private String comment;

    @Schema(description = "评论类型（0|评论；1|回评）", example = "1")
    @ExcelProperty("评论类型（0|评论；1|回评）")
    private Boolean type;

    @Schema(description = "楼栋标识")
    @ExcelProperty("楼栋标识")
    private String buildingCode;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}