package cn.iocoder.yudao.module.system.controller.app.comment.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 工作日志评论新增/修改 Request VO")
@Data
public class WorkLogCommentSaveReqVO {

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "21304")
    private Long id;

    @Schema(description = "动态ID", example = "26393")
    private Long workLogId;

    @Schema(description = "评论ID（回复评论的ID）", example = "25541")
    private Long commentId;

    @Schema(description = "评论用户ID", example = "17082")
    private Long userId;

    @Schema(description = "被评论用户ID", example = "22388")
    private Long commentUserId;

    @Schema(description = "评论内容")
    private String comment;

    @Schema(description = "评论类型（0|评论；1|回评）", example = "1")
    private Boolean type;

    @Schema(description = "楼栋标识")
    private String buildingCode;

}