package cn.iocoder.yudao.module.system.dal.dataobject.group;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 考勤组 DO
 *
 * @author 艾楷
 */
@TableName("kq_attendance_group")
@KeySequence("kq_attendance_group_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceGroupDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 考勤组管理员id
     */
    private Long userId;
    /**
     * 群组名称
     */
    private String groupName;
    /**
     * 考勤类型 1固定班制 2排班制
     */
    private Integer type;
    /**
     * 打卡类型 1考勤机 2小程序范围打卡
     */
    private Integer punchType;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 范围（米）
     */
    private Integer scope;
    /**
     * 是否允许外勤打卡 0否 1是
     */
    private Integer fieldworkFlag;
    /**
     * 节假日自动排休 0否 1是
     */
    private Integer autoHolidaysFlag;


    public static String getCodeByType(Integer type) {
        if (type == 1) {
            return "fixed";
        } else {
            return "scheduling";
        }
    }

}