package cn.iocoder.yudao.module.system.dal.dataobject.scheduling;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 排班制考勤设置 DO
 *
 * @author 艾楷
 */
@TableName("kq_attendance_scheduling")
@KeySequence("kq_attendance_scheduling_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceSchedulingDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 第几天
     */
    private Integer indexDay;
    /**
     * 考勤组id
     */
    private Long attendanceGroupId;
    /**
     * 班次id
     */
    private Long attendanceGroupShiftId;
    /**
     * 是否休息 0否 1是
     */
    private Integer restFlag;

}