package cn.iocoder.yudao.module.system.dal.mysql.worklog;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.loginstance.LogInstancePageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.worklog.LogInstanceDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 日志实例的拓展 Mapper
 *
 * @author 符溶馨
 */
@Mapper
public interface LogInstanceMapper extends BaseMapperX<LogInstanceDO> {

    default PageResult<LogInstanceDO> selectPage(LogInstancePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<LogInstanceDO>()
                .eqIfPresent(LogInstanceDO::getStartUserId, reqVO.getStartUserId())
                .likeIfPresent(LogInstanceDO::getName, reqVO.getName())
                .eqIfPresent(LogInstanceDO::getFormId, reqVO.getFormId())
                .eqIfPresent(LogInstanceDO::getFormVariables, reqVO.getFormVariables())
                .eqIfPresent(LogInstanceDO::getReadStatus, reqVO.getReadStatus())
                .eqIfPresent(LogInstanceDO::getFileItems, reqVO.getFileItems())
                .betweenIfPresent(LogInstanceDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(LogInstanceDO::getId));
    }

    default PageResult<LogInstanceDO> selectMyPage(Long userId, LogInstancePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<LogInstanceDO>()
                .eqIfPresent(LogInstanceDO::getStartUserId, userId)
                .likeIfPresent(LogInstanceDO::getName, reqVO.getName())
                .eqIfPresent(LogInstanceDO::getFormId, reqVO.getFormId())
                .eqIfPresent(LogInstanceDO::getFormVariables, reqVO.getFormVariables())
                .eqIfPresent(LogInstanceDO::getReadStatus, reqVO.getReadStatus())
                .eqIfPresent(LogInstanceDO::getFileItems, reqVO.getFileItems())
                .betweenIfPresent(LogInstanceDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(LogInstanceDO::getId));
    }

}