package cn.iocoder.yudao.module.system.service.groupshift;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.system.controller.admin.groupshift.vo.*;
import cn.iocoder.yudao.module.system.dal.dataobject.groupshift.AttendanceGroupShiftDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 考勤组班次 Service 接口
 *
 * @author 艾楷
 */
public interface AttendanceGroupShiftService {

    /**
     * 创建考勤组班次
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createGroupShift(@Valid AttendanceGroupShiftSaveReqVO createReqVO);

    /**
     * 更新考勤组班次
     *
     * @param updateReqVO 更新信息
     */
    void updateGroupShift(@Valid AttendanceGroupShiftSaveReqVO updateReqVO);

    /**
     * 删除考勤组班次
     *
     * @param id 编号
     */
    void deleteGroupShift(Long id);

    /**
     * 获得考勤组班次
     *
     * @param id 编号
     * @return 考勤组班次
     */
    AttendanceGroupShiftDO getGroupShift(Long id);

    /**
     * 获得考勤组班次分页
     *
     * @param pageReqVO 分页查询
     * @return 考勤组班次分页
     */
    PageResult<AttendanceGroupShiftDO> getGroupShiftPage(AttendanceGroupShiftPageReqVO pageReqVO);

}