package cn.iocoder.yudao.module.system.service.groupuser;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.system.controller.admin.groupuser.vo.*;
import cn.iocoder.yudao.module.system.dal.dataobject.groupuser.AttendanceGroupUserDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 考勤组人员 Service 接口
 *
 * @author 艾楷
 */
public interface AttendanceGroupUserService {

    /**
     * 创建考勤组人员
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createGroupUser(@Valid AttendanceGroupUserSaveReqVO createReqVO);

    /**
     * 更新考勤组人员
     *
     * @param updateReqVO 更新信息
     */
    void updateGroupUser(@Valid AttendanceGroupUserSaveReqVO updateReqVO);

    /**
     * 删除考勤组人员
     *
     * @param id 编号
     */
    void deleteGroupUser(Long id);

    /**
     * 获得考勤组人员
     *
     * @param id 编号
     * @return 考勤组人员
     */
    AttendanceGroupUserDO getGroupUser(Long id);

    /**
     * 获得考勤组人员分页
     *
     * @param pageReqVO 分页查询
     * @return 考勤组人员分页
     */
    PageResult<AttendanceGroupUserDO> getGroupUserPage(AttendanceGroupUserPageReqVO pageReqVO);

}