package cn.iocoder.yudao.module.system.service.worklog;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.loginstance.LogInstancePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.loginstance.LogInstanceRespVO;
import cn.iocoder.yudao.module.system.controller.admin.worklog.vo.loginstance.LogInstanceSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.worklog.LogInstanceDO;

import javax.validation.Valid;

/**
 * 日志实例的拓展 Service 接口
 *
 * @author 符溶馨
 */
public interface LogInstanceService {

    /**
     * 创建日志实例的拓展
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createLogInstance(@Valid LogInstanceSaveReqVO createReqVO);

    /**
     * 更新日志实例的拓展
     *
     * @param updateReqVO 更新信息
     */
    void updateLogInstance(@Valid LogInstanceSaveReqVO updateReqVO);

    /**
     * 删除日志实例的拓展
     *
     * @param id 编号
     */
    void deleteLogInstance(Long id);

    /**
     * 获得日志实例的拓展
     *
     * @param id 编号
     * @return 日志实例的拓展
     */
    LogInstanceDO getLogInstance(Long id);

    /**
     * 获得日志实例的拓展分页
     *
     * @param pageReqVO 分页查询
     * @return 日志实例的拓展分页
     */
    PageResult<LogInstanceDO> getLogInstancePage(LogInstancePageReqVO pageReqVO);

    /**
     * 获得我的日志的分页
     *
     * @param userId 用户编号
     * @param pageReqVO 分页请求
     * @return 流程实例的分页
     */
    PageResult<LogInstanceRespVO> getMyProcessInstancePage(Long userId, LogInstancePageReqVO pageReqVO);
}