package cn.iocoder.yudao.module.device.controller.admin.cameradevice.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 设备-监控摄像头分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CameraDevicePageReqVO extends PageParam {

    @Schema(description = "工厂id", example = "32023")
    private Long factoryId;

    @Schema(description = "设备名称", example = "李四")
    private String name;

    @Schema(description = "设备编号")
    private String code;

    @Schema(description = "类型（1 枪机 2半球 3球机 4云台枪机）", example = "2")
    private String type;

    @Schema(description = "状态（0正常  1停用）", example = "1")
    private String status;

    @Schema(description = "实时抓图地址", example = "https://www.iocoder.cn")
    private String iconUrl;

    @Schema(description = "录像机地址", example = "https://www.iocoder.cn")
    private String videoUrl;

    @Schema(description = "流媒体地址", example = "https://www.iocoder.cn")
    private String streamUrl;

    @Schema(description = "排序")
    private Integer sort;

    @Schema(description = "是否在大屏显示 0否 1是")
    private Integer isShow;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}