package cn.iocoder.yudao.module.smartfactory.controller.admin.factory.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 工厂信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SfFactoryInfoRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "15034")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "工厂全名", requiredMode = Schema.RequiredMode.REQUIRED, example = "赵六")
    @ExcelProperty("工厂全名")
    private String fullName;

    @Schema(description = "工厂简称", requiredMode = Schema.RequiredMode.REQUIRED, example = "王五")
    @ExcelProperty("工厂简称")
    private String shortName;

    @Schema(description = "工厂代号")
    @ExcelProperty("工厂代号")
    private String code;

    @Schema(description = "工厂简介", example = "你猜")
    @ExcelProperty("工厂简介")
    private String description;

    @Schema(description = "所在省id", example = "16166")
    @ExcelProperty("所在省id")
    private Long provinceId;

    @Schema(description = "所在省名称", example = "赵六")
    @ExcelProperty("所在省名称")
    private String provinceName;

    @Schema(description = "所在城市id", example = "16909")
    @ExcelProperty("所在城市id")
    private Long cityId;

    @Schema(description = "所在城市名称", example = "赵六")
    @ExcelProperty("所在城市名称")
    private String cityName;

    @Schema(description = "所在区县id", example = "16699")
    @ExcelProperty("所在区县id")
    private Long districtId;

    @Schema(description = "所在区县名称", example = "李四")
    @ExcelProperty("所在区县名称")
    private String districtName;

    @Schema(description = "经度")
    @ExcelProperty("经度")
    private BigDecimal lng;

    @Schema(description = "纬度")
    @ExcelProperty("纬度")
    private BigDecimal lat;

    @Schema(description = "详细地址")
    @ExcelProperty("详细地址")
    private String address;

    @Schema(description = "备注", example = "你说的对")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "电动车总量")
    @ExcelProperty("电动车总量")
    private Integer vehicleNum;

    @Schema(description = "单个电动车碳排放")
    @ExcelProperty("单个电动车碳排放")
    private BigDecimal vehicleCo2;

    @Schema(description = "排序")
    @ExcelProperty("排序")
    private Integer sort;

    @Schema(description = "海康安防接口访问地址端口")
    @ExcelProperty("海康安防接口访问地址端口")
    private String hikServerHost;

    @Schema(description = "海康appkey")
    @ExcelProperty("海康appkey")
    private String hikAppKey;

    @Schema(description = "海康密钥")
    @ExcelProperty("海康密钥")
    private String hikAppSecret;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}