package cn.iocoder.yudao.module.smartfactory.controller.admin.factorydata.vo;

import lombok.*;

import java.time.LocalDate;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 工厂出库入库数据分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class FactoryDataPageReqVO extends PageParam {

    @Schema(description = "工厂id", example = "7606")
    private Long factoryId;

    @Schema(description = "进出库类型  1出库  2进库", example = "1")
    private Integer dataType;

    @Schema(description = "日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] date;

    @Schema(description = "搬运工姓名", example = "张三")
    private String porterName;

    @Schema(description = "叉车司机姓名", example = "芋艿")
    private String dirverName;

    @Schema(description = "仓库看管员姓名", example = "李四")
    private String keeperName;

    @Schema(description = "总数量")
    private Integer totalNum;

    @Schema(description = "总金额")
    private BigDecimal totalAmount;

    @Schema(description = "总车数")
    private Integer totalTruck;

    @Schema(description = "搬运总数")
    private Integer moveNum;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}