package cn.iocoder.yudao.module.smartfactory.controller.admin.factorydata.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDate;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 工厂出库入库数据 Response VO")
@Data
@ExcelIgnoreUnannotated
public class FactoryDataRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "17120")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "7606")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "进出库类型  1出库  2进库", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("进出库类型  1出库  2进库")
    private Integer dataType;

    @Schema(description = "日期", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("日期")
    private LocalDate date;

    @Schema(description = "搬运工姓名", example = "张三")
    @ExcelProperty("搬运工姓名")
    private String porterName;

    @Schema(description = "叉车司机姓名", example = "芋艿")
    @ExcelProperty("叉车司机姓名")
    private String dirverName;

    @Schema(description = "仓库看管员姓名", example = "李四")
    @ExcelProperty("仓库看管员姓名")
    private String keeperName;

    @Schema(description = "总数量")
    @ExcelProperty("总数量")
    private Integer totalNum;

    @Schema(description = "总金额")
    @ExcelProperty("总金额")
    private BigDecimal totalAmount;

    @Schema(description = "总车数")
    @ExcelProperty("总车数")
    private Integer totalTruck;

    @Schema(description = "搬运总数")
    @ExcelProperty("搬运总数")
    private Integer moveNum;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}