package cn.iocoder.yudao.module.smartfactory.controller.admin.factorydata.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDate;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 工厂出库入库数据新增/修改 Request VO")
@Data
public class FactoryDataSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "17120")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "7606")
    @NotNull(message = "工厂id不能为空")
    private Long factoryId;

    @Schema(description = "进出库类型  1出库  2进库", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "进出库类型  1出库  2进库不能为空")
    private Integer dataType;

    @Schema(description = "日期", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "日期不能为空")
    private LocalDate date;

    @Schema(description = "搬运工姓名", example = "张三")
    private String porterName;

    @Schema(description = "叉车司机姓名", example = "芋艿")
    private String dirverName;

    @Schema(description = "仓库看管员姓名", example = "李四")
    private String keeperName;

    @Schema(description = "总数量")
    private Integer totalNum;

    @Schema(description = "总金额")
    private BigDecimal totalAmount;

    @Schema(description = "总车数")
    private Integer totalTruck;

    @Schema(description = "搬运总数")
    private Integer moveNum;

}