package cn.iocoder.yudao.module.smartfactory.controller.admin.factorydataoverview.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 工厂数据总览分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class FactoryDataOverviewPageReqVO extends PageParam {

    @Schema(description = "工厂id", example = "2906")
    private Long factoryId;

    @Schema(description = "工厂全称", example = "芋艿")
    private String fullName;

    @Schema(description = "员工简称", example = "李四")
    private String shortName;

    @Schema(description = "城市名称", example = "张三")
    private String cityName;

    @Schema(description = "工人数量")
    private Integer workerNum;

    @Schema(description = "叉车总数")
    private Integer truckTotalNum;

    @Schema(description = "打包线数量")
    private Integer dbxNum;

    @Schema(description = "托盘数量")
    private Integer tpNum;

    @Schema(description = "绑带数量")
    private Integer bdNum;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}