package cn.iocoder.yudao.module.smartfactory.controller.admin.factorydataoverview.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 工厂数据总览 Response VO")
@Data
@ExcelIgnoreUnannotated
public class FactoryDataOverviewRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "12045")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "2906")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "工厂全称", example = "芋艿")
    @ExcelProperty("工厂全称")
    private String fullName;

    @Schema(description = "员工简称", example = "李四")
    @ExcelProperty("员工简称")
    private String shortName;

    @Schema(description = "城市名称", example = "张三")
    @ExcelProperty("城市名称")
    private String cityName;

    @Schema(description = "工人数量")
    @ExcelProperty("工人数量")
    private Integer workerNum;

    @Schema(description = "叉车总数")
    @ExcelProperty("叉车总数")
    private Integer truckTotalNum;

    @Schema(description = "打包线数量")
    @ExcelProperty("打包线数量")
    private Integer dbxNum;

    @Schema(description = "托盘数量")
    @ExcelProperty("托盘数量")
    private Integer tpNum;

    @Schema(description = "绑带数量")
    @ExcelProperty("绑带数量")
    private Integer bdNum;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}