package cn.iocoder.yudao.module.smartfactory.controller.admin.factorydataoverview.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 工厂数据总览新增/修改 Request VO")
@Data
public class FactoryDataOverviewSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "12045")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "2906")
    @NotNull(message = "工厂id不能为空")
    private Long factoryId;

    @Schema(description = "工厂全称", example = "芋艿")
    private String fullName;

    @Schema(description = "员工简称", example = "李四")
    private String shortName;

    @Schema(description = "城市名称", example = "张三")
    private String cityName;

    @Schema(description = "工人数量")
    private Integer workerNum;

    @Schema(description = "叉车总数")
    private Integer truckTotalNum;

    @Schema(description = "打包线数量")
    private Integer dbxNum;

    @Schema(description = "托盘数量")
    private Integer tpNum;

    @Schema(description = "绑带数量")
    private Integer bdNum;

}