package cn.iocoder.yudao.module.smartfactory.controller.admin.factoryinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;
import cn.iocoder.yudao.framework.excel.core.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.core.convert.DictConvert;

@Schema(description = "管理后台 - 工厂信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class FactoryInfoRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "28794")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "工厂名字", requiredMode = Schema.RequiredMode.REQUIRED, example = "江西省南昌市第一工厂")
    @ExcelProperty("工厂名字")
    private String name;

    @Schema(description = "工厂简称", requiredMode = Schema.RequiredMode.REQUIRED, example = "第一工厂")
    @ExcelProperty("工厂简称")
    private String shortName;

    @Schema(description = "工厂代码", requiredMode = Schema.RequiredMode.REQUIRED, example = "10000")
    @ExcelProperty("工厂代码")
    private String code;

    @Schema(description = "工厂简介", example = "这是一个工厂简介")
    @ExcelProperty("工厂简介")
    private String description;

    @Schema(description = "省名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "江西省")
    @ExcelProperty("省名称")
    private String provinceName;

    @Schema(description = "城市名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "南昌市")
    @ExcelProperty("城市名称")
    private String cityName;

    @Schema(description = "区县名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "红谷滩区")
    @ExcelProperty("区县名称")
    private String districtName;

    @Schema(description = "工厂地址")
    @ExcelProperty("工厂地址")
    private String address;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty(value = "状态", converter = DictConvert.class)
    @DictFormat("common_status") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}