package cn.iocoder.yudao.module.smartfactory.controller.admin.packagedata.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 打包线数据分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PackageDataPageReqVO extends PageParam {

    @Schema(description = "工厂id", example = "29256")
    private Long factoryId;

    @Schema(description = "规格id", example = "5911")
    private Long sizeId;

    @Schema(description = "规格名称", example = "王五")
    private String sizeName;

    @Schema(description = "打包线id", example = "31120")
    private Long packageId;

    @Schema(description = "打包线名称", example = "李四")
    private String packageName;

    @Schema(description = "打包数量")
    private Integer num;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}