package cn.iocoder.yudao.module.smartfactory.controller.admin.packagedata.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 打包线数据 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PackageDataRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "18914")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "29256")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "规格id", requiredMode = Schema.RequiredMode.REQUIRED, example = "5911")
    @ExcelProperty("规格id")
    private Long sizeId;

    @Schema(description = "规格名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "王五")
    @ExcelProperty("规格名称")
    private String sizeName;

    @Schema(description = "打包线id", requiredMode = Schema.RequiredMode.REQUIRED, example = "31120")
    @ExcelProperty("打包线id")
    private Long packageId;

    @Schema(description = "打包线名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    @ExcelProperty("打包线名称")
    private String packageName;

    @Schema(description = "打包数量", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("打包数量")
    private Integer num;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}