package cn.iocoder.yudao.module.smartfactory.controller.admin.packagedata.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 打包线数据新增/修改 Request VO")
@Data
public class PackageDataSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "18914")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "29256")
    @NotNull(message = "工厂id不能为空")
    private Long factoryId;

    @Schema(description = "规格id", requiredMode = Schema.RequiredMode.REQUIRED, example = "5911")
    @NotNull(message = "规格id不能为空")
    private Long sizeId;

    @Schema(description = "规格名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "王五")
    @NotEmpty(message = "规格名称不能为空")
    private String sizeName;

    @Schema(description = "打包线id", requiredMode = Schema.RequiredMode.REQUIRED, example = "31120")
    @NotNull(message = "打包线id不能为空")
    private Long packageId;

    @Schema(description = "打包线名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    @NotEmpty(message = "打包线名称不能为空")
    private String packageName;

    @Schema(description = "打包数量", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "打包数量不能为空")
    private Integer num;

}