package cn.iocoder.yudao.module.smartfactory.controller.admin.screendata.factory.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 功能描述
 *
 * @author: yj
 * @date: 2024年03月05日 13:55
 */
@Schema(description = "大屏数据 - 工厂基础滚动数据 Response VO")
@Data
public class FactoryRollDataRespVO {
    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "工厂id")
    private Long id;

    @Schema(description = "工厂名字", requiredMode = Schema.RequiredMode.REQUIRED, example = "江西省南昌市第一工厂")
    private String name;

    @Schema(description = "工厂简称", requiredMode = Schema.RequiredMode.REQUIRED, example = "第一工厂")
    private String shortName;

    @Schema(description = "城市名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "南昌市")
    private String cityName;

    @Schema(description = "员工数量", requiredMode = Schema.RequiredMode.REQUIRED, example = "1024")
    private Integer total;

    @Schema(description = "窑炉数量", requiredMode = Schema.RequiredMode.REQUIRED, example = "1024")
    private Integer kilnTotal;

    @Schema(description = "打包线数量", requiredMode = Schema.RequiredMode.REQUIRED, example = "200")
    private Integer packLineTotal;

    @Schema(description = "托盘数", requiredMode = Schema.RequiredMode.REQUIRED, example = "100")
    private Integer trayTotal;

    @Schema(description = "绑带", requiredMode = Schema.RequiredMode.REQUIRED, example = "100")
    private Integer tieTotal;

    @Schema(description = "叉车数", requiredMode = Schema.RequiredMode.REQUIRED, example = "100")
    private Integer forkliftTotal;

}
