package cn.iocoder.yudao.module.smartfactory.controller.admin.screenfactoryextra.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 工厂大屏额外字段分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ScreenFactoryExtraPageReqVO extends PageParam {

    @Schema(description = "工厂id", example = "7332")
    private Long factoryId;

    @Schema(description = "日产能数")
    private Integer dateNum;

    @Schema(description = "叉车运行数量")
    private Integer truckOnNum;

    @Schema(description = "叉车未运行数量")
    private Integer truckOffNum;

    @Schema(description = "叉车总数量")
    private Integer truckTotalNum;

    @Schema(description = "窑炉数量")
    private Integer ylNum;

    @Schema(description = "打包线数量")
    private Integer dbxNum;

    @Schema(description = "托盘数量")
    private Integer tpNum;

    @Schema(description = "绑带数量")
    private Integer bdNum;

    @Schema(description = "作业人数")
    private Integer workerNum;

    @Schema(description = "电动车数量")
    private Integer vehicleNum;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}