package cn.iocoder.yudao.module.smartfactory.controller.admin.staff.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 员工分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StaffPageReqVO extends PageParam {

    @Schema(description = "员工编号")
    private String staffNo;

    @Schema(description = "员工昵称")
    private String nickName;

    @Schema(description = "年龄")
    private Integer age;

    @Schema(description = "用户性别（0男 1女 2未知）")
    private Integer sex;

    @Schema(description = "岗位id", example = "28091")
    private Long postId;

    @Schema(description = "工种id", example = "6971")
    private Long workTypeId;

    @Schema(description = "工厂id", example = "6971")
    private Long factoryId;

    @Schema(description = "身份证号")
    private String idCard;

    @Schema(description = "0离职  1在职", example = "1")
    private Integer status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}