package cn.iocoder.yudao.module.smartfactory.controller.admin.staff.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 员工 Response VO")
@Data
@ExcelIgnoreUnannotated
public class StaffRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "8717")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "员工编号")
    @ExcelProperty("员工编号")
    private String staffNo;

    @Schema(description = "员工昵称")
    private String nickName;

    @Schema(description = "年龄")
    @ExcelProperty("年龄")
    private Integer age;

    @Schema(description = "用户性别（0男 1女 2未知）")
    private Integer sex;

    @Schema(description = "岗位id", example = "28091")
    @ExcelProperty("岗位id")
    private Long postId;

    @Schema(description = "工种id", example = "6971")
    @ExcelProperty("工种id")
    private Long workTypeId;

    @Schema(description = "工厂id", example = "6971")
    private Long factoryId;

    @Schema(description = "身份证号")
    @ExcelProperty("身份证号")
    private String idCard;

    @Schema(description = "0离职  1在职", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("0离职  1在职")
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}