package cn.iocoder.yudao.module.smartfactory.controller.admin.staff.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 员工新增/修改 Request VO")
@Data
public class StaffSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "8717")
    private Long id;

    @Schema(description = "员工编号")
    private String staffNo;

    @Schema(description = "员工昵称")
    private String nickName;

    @Schema(description = "年龄")
    private Integer age;

    @Schema(description = "用户性别（0男 1女 2未知）")
    private Integer sex;

    @Schema(description = "岗位id", example = "28091")
    private Long postId;

    @Schema(description = "工种id", example = "6971")
    private Long workTypeId;

    @Schema(description = "工厂id", example = "6971")
    private Long factoryId;

    @Schema(description = "身份证号")
    private String idCard;

    @Schema(description = "0离职  1在职", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "0离职  1在职不能为空")
    private Integer status;

}