package cn.iocoder.yudao.module.smartfactory.dal.dataobject.factory;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 工厂信息 DO
 *
 * @author 艾楷
 */
@TableName("sf_factory_info")
@KeySequence("sf_factory_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SfFactoryInfoDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 工厂全名
     */
    private String fullName;
    /**
     * 工厂简称
     */
    private String shortName;
    /**
     * 工厂代号
     */
    private String code;
    /**
     * 工厂简介
     */
    private String description;
    /**
     * 所在省id
     */
    private Long provinceId;
    /**
     * 所在省名称
     */
    private String provinceName;
    /**
     * 所在城市id
     */
    private Long cityId;
    /**
     * 所在城市名称
     */
    private String cityName;
    /**
     * 所在区县id
     */
    private Long districtId;
    /**
     * 所在区县名称
     */
    private String districtName;
    /**
     * 经度
     */
    private BigDecimal lng;
    /**
     * 纬度
     */
    private BigDecimal lat;
    /**
     * 详细地址
     */
    private String address;
    /**
     * 备注
     */
    private String remark;
    /**
     * 电动车总量
     */
    private Integer vehicleNum;
    /**
     * 单个电动车碳排放
     */
    private BigDecimal vehicleCo2;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 海康安防接口访问地址端口
     */
    private String hikServerHost;
    /**
     * 海康appkey
     */
    private String hikAppKey;
    /**
     * 海康密钥
     */
    private String hikAppSecret;

}