package cn.iocoder.yudao.module.smartfactory.dal.dataobject.factorydata;

import lombok.*;

import java.time.LocalDate;
import java.util.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 工厂出库入库数据 DO
 *
 * @author 艾楷
 */
@TableName("sf_factory_data")
@KeySequence("sf_factory_data_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FactoryDataDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 进出库类型  1出库  2进库
     */
    private Integer dataType;
    /**
     * 日期
     */
    private LocalDate date;
    /**
     * 搬运工姓名
     */
    private String porterName;
    /**
     * 叉车司机姓名
     */
    private String dirverName;
    /**
     * 仓库看管员姓名
     */
    private String keeperName;
    /**
     * 总数量
     */
    private Integer totalNum;
    /**
     * 总金额
     */
    private BigDecimal totalAmount;
    /**
     * 总车数
     */
    private Integer totalTruck;
    /**
     * 搬运总数
     */
    private Integer moveNum;

}