package cn.iocoder.yudao.module.smartfactory.dal.dataobject.factorydataoverview;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 工厂数据总览 DO
 *
 * @author 艾楷
 */
@TableName("sf_factory_data_overview")
@KeySequence("sf_factory_data_overview_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FactoryDataOverviewDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 工厂全称
     */
    private String fullName;
    /**
     * 员工简称
     */
    private String shortName;
    /**
     * 城市名称
     */
    private String cityName;
    /**
     * 工人数量
     */
    private Integer workerNum;
    /**
     * 叉车总数
     */
    private Integer truckTotalNum;
    /**
     * 打包线数量
     */
    private Integer dbxNum;
    /**
     * 托盘数量
     */
    private Integer tpNum;
    /**
     * 绑带数量
     */
    private Integer bdNum;

}