package cn.iocoder.yudao.module.smartfactory.dal.dataobject.packagedata;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 打包线数据 DO
 *
 * @author 艾楷
 */
@TableName("sf_package_data")
@KeySequence("sf_package_data_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PackageDataDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 规格id
     */
    private Long sizeId;
    /**
     * 规格名称
     */
    private String sizeName;
    /**
     * 打包线id
     */
    private Long packageId;
    /**
     * 打包线名称
     */
    private String packageName;
    /**
     * 打包数量
     */
    private Integer num;

}