package cn.iocoder.yudao.module.smartfactory.dal.dataobject.screenfactoryextra;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 工厂大屏额外字段 DO
 *
 * @author 艾楷
 */
@TableName("sf_screen_factory_extra")
@KeySequence("sf_screen_factory_extra_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ScreenFactoryExtraDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 日产能数
     */
    private Integer dateNum;
    /**
     * 叉车运行数量
     */
    private Integer truckOnNum;
    /**
     * 叉车未运行数量
     */
    private Integer truckOffNum;
    /**
     * 叉车总数量
     */
    private Integer truckTotalNum;
    /**
     * 窑炉数量
     */
    private Integer ylNum;
    /**
     * 打包线数量
     */
    private Integer dbxNum;
    /**
     * 托盘数量
     */
    private Integer tpNum;
    /**
     * 绑带数量
     */
    private Integer bdNum;
    /**
     * 作业人数
     */
    private Integer workerNum;
    /**
     * 电动车数量
     */
    private Integer vehicleNum;

}