package cn.iocoder.yudao.module.smartfactory.dal.dataobject.staff;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 员工 DO
 *
 * @author 艾楷
 */
@TableName("sf_staff")
@KeySequence("sf_staff_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StaffDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 员工编号
     */
    private String staffNo;
    /**
     * 员工昵称
     */
    private String nickName;
    /**
     * 年龄
     */
    private Integer age;
    /**
     * 用户性别（0男 1女 2未知）
     */
    private Integer sex;
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 工种id
     */
    private Long workTypeId;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 身份证号
     */
    private String idCard;
    /**
     * 0离职  1在职
     */
    private Integer status;

    /**
     * 岗位名称
     */
    @TableField(exist = false)
    private String postName;

}