package cn.iocoder.yudao.module.smartfactory.service.factory;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.smartfactory.controller.admin.factory.vo.SfFactoryInfoPageReqVO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.factory.vo.SfFactoryInfoSaveReqVO;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.factory.SfFactoryInfoDO;

/**
 * 工厂信息 Service 接口
 *
 * @author 艾楷
 */
public interface SfFactoryInfoService {

    /**
     * 创建工厂信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSfFactoryInfo(@Valid SfFactoryInfoSaveReqVO createReqVO);

    /**
     * 更新工厂信息
     *
     * @param updateReqVO 更新信息
     */
    void updateSfFactoryInfo(@Valid SfFactoryInfoSaveReqVO updateReqVO);

    /**
     * 删除工厂信息
     *
     * @param id 编号
     */
    void deleteSfFactoryInfo(Long id);

    /**
     * 获得工厂信息
     *
     * @param id 编号
     * @return 工厂信息
     */
    SfFactoryInfoDO getSfFactoryInfo(Long id);

    /**
     * 获得工厂信息分页
     *
     * @param pageReqVO 分页查询
     * @return 工厂信息分页
     */
    PageResult<SfFactoryInfoDO> getSfFactoryInfoPage(SfFactoryInfoPageReqVO pageReqVO);

}