package cn.iocoder.yudao.module.smartfactory.service.factorydataoverview;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.smartfactory.controller.admin.factorydataoverview.vo.FactoryDataOverviewPageReqVO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.factorydataoverview.vo.FactoryDataOverviewSaveReqVO;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.factorydataoverview.FactoryDataOverviewDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 工厂数据总览 Service 接口
 *
 * @author 艾楷
 */
public interface FactoryDataOverviewService {

    /**
     * 创建工厂数据总览
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDataOverview(@Valid FactoryDataOverviewSaveReqVO createReqVO);

    /**
     * 更新工厂数据总览
     *
     * @param updateReqVO 更新信息
     */
    void updateDataOverview(@Valid FactoryDataOverviewSaveReqVO updateReqVO);

    /**
     * 删除工厂数据总览
     *
     * @param id 编号
     */
    void deleteDataOverview(Long id);

    /**
     * 获得工厂数据总览
     *
     * @param id 编号
     * @return 工厂数据总览
     */
    FactoryDataOverviewDO getDataOverview(Long id);

    /**
     * 获得工厂数据总览分页
     *
     * @param pageReqVO 分页查询
     * @return 工厂数据总览分页
     */
    PageResult<FactoryDataOverviewDO> getDataOverviewPage(FactoryDataOverviewPageReqVO pageReqVO);

    /**
     * 列表
     *
     * @return
     */
    List<FactoryDataOverviewDO> list();
}