package cn.iocoder.yudao.module.smartfactory.service.screenfactoryextra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.smartfactory.controller.admin.screenfactoryextra.vo.ScreenFactoryExtraPageReqVO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.screenfactoryextra.vo.ScreenFactoryExtraSaveReqVO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.screendata.factory.vo.PropertyDataRespVO;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.screenfactoryextra.ScreenFactoryExtraDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 工厂大屏额外字段 Service 接口
 *
 * @author 艾楷
 */
public interface ScreenFactoryExtraService {

    /**
     * 创建工厂大屏额外字段
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createScreenFactoryExtra(@Valid ScreenFactoryExtraSaveReqVO createReqVO);

    /**
     * 更新工厂大屏额外字段
     *
     * @param updateReqVO 更新信息
     */
    void updateScreenFactoryExtra(@Valid ScreenFactoryExtraSaveReqVO updateReqVO);

    /**
     * 删除工厂大屏额外字段
     *
     * @param id 编号
     */
    void deleteScreenFactoryExtra(Long id);

    /**
     * 获得工厂大屏额外字段
     *
     * @param id 编号
     * @return 工厂大屏额外字段
     */
    ScreenFactoryExtraDO getScreenFactoryExtra(Long id);

    /**
     * 获得工厂大屏额外字段分页
     *
     * @param pageReqVO 分页查询
     * @return 工厂大屏额外字段分页
     */
    PageResult<ScreenFactoryExtraDO> getScreenFactoryExtraPage(ScreenFactoryExtraPageReqVO pageReqVO);

    PropertyDataRespVO getPropertyData(Long factoryId);

    /**
     * 列表
     * @return
     */
    List<ScreenFactoryExtraDO> list();
}