package cn.iocoder.yudao.module.smartfactory.service.worktype;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.smartfactory.controller.admin.worktype.vo.WorkTypePageReqVO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.worktype.vo.WorkTypeSaveReqVO;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.worktype.WorkTypeDO;

import javax.validation.Valid;

/**
 * 工种 Service 接口
 *
 * @author 艾楷
 */
public interface WorkTypeService {

    /**
     * 创建工种
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createWorkType(@Valid WorkTypeSaveReqVO createReqVO);

    /**
     * 更新工种
     *
     * @param updateReqVO 更新信息
     */
    void updateWorkType(@Valid WorkTypeSaveReqVO updateReqVO);

    /**
     * 删除工种
     *
     * @param id 编号
     */
    void deleteWorkType(Long id);

    /**
     * 获得工种
     *
     * @param id 编号
     * @return 工种
     */
    WorkTypeDO getWorkType(Long id);

    /**
     * 获得工种分页
     *
     * @param pageReqVO 分页查询
     * @return 工种分页
     */
    PageResult<WorkTypeDO> getWorkTypePage(WorkTypePageReqVO pageReqVO);

}